coolestfamilyever.com
Why blame your phone manufacturer when Google will do?
There’s been a bunch of buzz lately about a vulnerability in versions of Android prior to 4.4 (KitKat). Google has advised that it doesn’t plan to issue any fixes for these older versio…